{ ghcSrc, pkgs }:
let
  ghcOverride = self: super: {
    ghc = super.ghc.overrideDerivation (oldGhc: {
      src = ghcSrc;
      # Autotools need git to find the rev of the local ghc git repo.
      nativeBuildInputs = oldGhc.nativeBuildInputs ++ [ pkgs.git ];
    });
  };
in self: super: {
  customGhcHEAD = super.haskell.packages.ghcHEAD.extend ghcOverride;
}
