{
  hs-pkg-name ? "wcwidth",
  ghcSrcDrv ? ./examples/ghc.nix
}:
let
  ghcSrc = import ghcSrcDrv;
  ghcOverlay =
    import ./overlays/ghc.nix {
      inherit ghcSrc pkgs;
    };
  nixpkgsConfig = { overlays = [ ghcOverlay ]; };
  nixpkgsSrc = (import ./nix/sources.nix).nixpkgs;
  pkgs = import nixpkgsSrc nixpkgsConfig;
in pkgs.haskellPackages."${hs-pkg-name}"
